Bug 305203 - saved playlists get re-added to the main playlist after rename + <return>
Summary: saved playlists get re-added to the main playlist after rename + <return>
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlists/Saved Playlists (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-15 15:09 UTC by Alan Ezust
Modified: 2013-05-06 14:01 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Ezust 2012-08-15 15:09:00 UTC
After a "save playlist" or if I make an edit trigger on the name of the playlist, I am able to change the name of it, but as soon as I hit return, it adds the entire contents of the saved playlist to the main playlist. 
Basically, the return key is not properly consumed while one is editing the name of the playlist.
I am using amarok 2.5-git pulled from git on august 8. c4eb51e0581f8fe354958ab840d3c4c69c02096f

This also happens if I just rename a playlist without saving a new one.


Reproducible: Always

Steps to Reproduce:
1. Save a playlist
2. Go to the entry in the playlists tree and rename it to something else
3. hit return when you are done. 
notice that the saved playlist has been added to your main playlist.


Actual Results:  
my main playlist doubled in size and got lots of duplicates.

Expected Results:  
nothing gets added to my main playlist when I rename a saved playlist.
Comment 1 Bart Cerneels 2012-08-16 12:01:04 UTC
Git commit 9f48fbe617a6908d14d6f221c8ed6472316c674b by Bart Cerneels.
Committed on 16/08/2012 at 09:17.
Pushed by shanachie into branch 'master'.

Don't append when enter in playlist name edit.

I suspect a Qt bug here. Why doesn't the delegate consume the enter press?
FIXED-IN: 2.7

M  +12   -3    src/browsers/playlistbrowser/PlaylistBrowserView.cpp

http://commits.kde.org/amarok/9f48fbe617a6908d14d6f221c8ed6472316c674b